{
    attributes = (
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MAV_DATE_SAISIE"; 
            externalType = DATE; 
            name = mavDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "MAV_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "VAM_ID"; }; 
            name = mavId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MAV_MONTANT"; 
            externalType = NUMBER; 
            name = mavMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MIS_ORDRE"; 
            externalType = NUMBER; 
            name = misOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MOD_ORDRE"; 
            externalType = NUMBER; 
            name = modOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "VAM_ID"; 
            externalType = NUMBER; 
            name = vamId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mavId, misOrdre, vamId, depId, tyetId, modOrdre); 
    className = "org.cocktail.kiwi.server.metier.EOMissionAvance"; 
    classProperties = (
        mission, 
        visaAvMission, 
        depense, 
        mavMontant, 
        mavDateSaisie, 
        typeEtat, 
        modePaiement
    ); 
    externalName = "JEFY_MISSION.Mission_avance"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            typeEtat, 
            mission, 
            visaAvMission, 
            depense, 
            mavMontant, 
            mavDateSaisie, 
            modePaiement
        ); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.EOMissionAvance"; 
        "_nameInObjectStore" = "MISSION_AV_DEP"; 
    }; 
    name = MissionAvance; 
    primaryKeyAttributes = (mavId); 
    relationships = (
        {
            destination = Depense; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depense; 
        }, 
        {
            destination = Mission; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = misOrdre; sourceAttribute = misOrdre; }); 
            name = mission; 
        }, 
        {
            destination = ModePaiement; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = modOrdre; sourceAttribute = modOrdre; }); 
            name = modePaiement; 
        }, 
        {
            destination = TypeEtat; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = VisaAvMission; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = vamId; sourceAttribute = vamId; }); 
            name = visaAvMission; 
        }
    ); 
}
